/*
 * sxkey_new.h, part of gSXprog
 *
 *  Copyright 2002-2003 Jim Garlick <garlick@llnl.gov>
 *
 * $Id: sxkey_new.h,v 1.5 2003/11/18 13:59:42 garlick Exp $
 */

/* Programming times */
#define SX_NEW_ERASE_MS 		        1000    /* 1...65536 */
#define SX_NEW_FUSE_PROG_MS 		    250     /* 1...255 */
#define SX_NEW_CODE_PROG_MS 		    100     /* 1...255 */

/* Firmware Revisions */
#define SXKEY_REV_E                     1
#define SXKEY_REV_F                     2
#define SXKEY_BLITZ			            3

/* SX-Key commands */
#define SXKEY_NEW_CMD_END		        0
#define SXKEY_NEW_CMD_ERASE 		    1
#define SXKEY_NEW_CMD_PROGRAM 		    2
#define SXKEY_NEW_CMD_READ 		        3
#define SXKEY_NEW_CMD_RESET 		    4
#define SXKEY_NEW_CMD_DEBUG_POLL 	    5
#define SXKEY_NEW_CMD_DEBUG_RECV 	    6
#define SXKEY_NEW_CMD_DEBUG_SEND	    7
#define SXKEY_NEW_CMD_CLOCK_ENABLE	    8
#define SXKEY_NEW_CMD_CLOCK_DISABLE	    9

/* millisecond timeout values */
#define SXKEY_NEW_TIMEOUT 		        (100) /* dflt SX-Key response timeout */
#define SXKEY_NEW_ERASE_TIMEOUT 	    (100 + SX_NEW_ERASE_MS)
#define SXKEY_NEW_PROG_FUSE_TIMEOUT(n)  (100 + SX_NEW_FUSE_PROG_MS*(n))
#define SXKEY_NEW_PROG_CODE_TIMEOUT(n)  (100 + SX_NEW_CODE_PROG_MS*(n))

boolean new_init(char *dev, speed_t baud, sxkey_t * cmd, sx_t * sx);

/*
 * em:Local Variables: 
 * em:indent-tabs-mode:nil
 * em:c-basic-offset:4
 * em:End:
 * vi:tabstop=4 shiftwidth=4 expandtab
 */
