;
; Parallax SX-Tech proto board with SX28AC installed, connected to SX-Key.  
; LED's in series with 4.7k resistors to Vdd are attached to RB0, RB1, RB2.
; 
; Run "make" to build hello.hex, then "gsxprog --prog hello.hex" to flash into
; SX28.  Pattern should display on LED's.
;

#ifndef DEVICE
#define DEVICE pins28+osc4mhz+pages1banks1
#endif

	processor sx28

	include "sxdefs.inc"

; internal 4MHz RC clock 
device	equ	DEVICE

trisb	equ	0x00
initb	equ	0x00

pattern equ	0x5 		; RB0=1, RB1=0, RB2=1

	org	0x10

reset:	mode 	0x0f
	option

	movlw	initb		; initialize port b for output
	movwf	portb
	movlw	trisb
	tris	portb

	movlw	pattern		; display pattern on LED's
	movwf	portb

#ifdef FILL2K
fill2k:	fill 	0, 0x800 - fill2k
#endif

#ifdef ONEBEYOND
	org	0x7ff
	goto	reset
#endif

	END
